/*
Theme Name: GRUPA ASTA
Theme URL: https://grupa-asta.pl
Description: Motyw główny strona Grupa ASTA
Theme Author: Krzysztof Łykus
Author URL: https://67studio.pl
Template: hello-elementor
Version: 1.0.0
*/

#button-primary {
    display: inline-flex;
    padding: var(--Spacing-spacing-12, 10px) var(--Spacing-spacing-16, 14px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-4, 4px);
    background: var(--Brand-Colors-GA-Navy-200, #7F8CF0);
    color: var(--Base-Colors-Black, #080804);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
    letter-spacing: 0.16px;
    transition: background 0.3s ease, border-color 0.3s ease;
    border: 2px solid transparent;
    outline: none;
}

#button-primary:hover {
    background: var(--Brand-Colors-GA-Navy-300, #6F7DE8);
}

#button-primary:active {
    background: var(--Brand-Colors-GA-Navy-300, #6F7DE8);
}

#button-primary:focus {
    border-color: var(--Brand-Colors-GA-Navy-100, #9FAAFF);
    background: var(--Brand-Colors-GA-Navy-200, #7F8CF0);
}



/*drugi przycisk*/

#button-secondary {
    display: inline-flex;
    padding: var(--Spacing-spacing-12, 10px) var(--Spacing-spacing-16, 14px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-4, 4px);
    border: 1px solid var(--Brand-Colors-GA-Navy-100, #9FAAFF); /* Obrys w stanie normalnym */
    background: transparent; /* Przezroczyste tło w stanie normalnym */
    color: var(--Base-Colors-White, #F5F5F7); /* Biały kolor tekstu w stanie normalnym */
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%; /* 22.4px */
    letter-spacing: 0.16px;
    transition: background 0.3s ease, border-color 0.3s ease, color 0.3s ease;
    outline: none; /* Usuwa domyślny obrys */
}

#button-secondary:hover {
    background: var(--Brand-Colors-GA-Navy-100, #9FAAFF); /* Tło podczas hover */
    border-color: var(--Brand-Colors-GA-Navy-100, #9FAAFF); /* Kolor obramowania */
    color: var(--Base-Colors-Black, #080804); /* Czarny kolor tekstu podczas hover */
}

#button-secondary:active {
    background: var(--Brand-Colors-GA-Navy-100, #9FAAFF); /* Tło podczas aktywnego kliknięcia */
    border-color: var(--Brand-Colors-GA-Navy-100, #9FAAFF); /* Zachowanie koloru obramowania */
    color: var(--Base-Colors-Black, #080804); /* Czarny kolor tekstu podczas active */
}

#button-secondary:focus {
    border-color: var(--Brand-Colors-GA-Navy-200, #7F8CF0); /* Zmiana koloru obramowania w stanie focus */
    background: var(--Brand-Colors-GA-Navy-200, #7F8CF0); /* Tło w stanie focus */
    color: var(--Base-Colors-Black, #080804); /* Czarny kolor tekstu podczas focus */
}

/* Stylizacja dla urządzeń mobilnych */
@media (max-width: 768px) {
    #button-secondary {
        font-size: 14px;
        letter-spacing: 0.14px;
        line-height: 140%; /* 19.6px */
    }
}

/*trzeci przycisk*/


#button-tertiary {
    display: inline-flex;
    padding: var(--Spacing-spacing-2, 2px) var(--Spacing-spacing-2, 2px);
    justify-content: center;
    align-items: center;
    background: transparent;
    color: var(--Brand-Colors-GA-Navy-100, #9FAAFF);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%; /* 22.4px */
    letter-spacing: 0.16px;
    transition: color 0.3s ease; /* Łagodne przejście dla koloru */
    outline: none;
}

#button-tertiary .elementor-button-content-wrapper {
    display: inline-flex;
    align-items: center;
    gap: var(--Spacing-spacing-4, 4px); /* Odstęp między ikoną a tekstem w stanie normalnym */
    transition: gap 0.3s ease; /* Łagodne przejście dla odstępu */
}

#button-tertiary:hover .elementor-button-content-wrapper,
#button-tertiary:active .elementor-button-content-wrapper,
#button-tertiary:focus .elementor-button-content-wrapper {
    gap: 6px; /* Zwiększenie odstępu między ikoną a tekstem */
}

#button-tertiary:hover {
    color: var(--Brand-Colors-GA-Navy-100, #9FAAFF);
}

#button-tertiary:active {
    color: var(--Brand-Colors-GA-Navy-100, #9FAAFF);
}

#button-tertiary:focus {
    color: var(--Brand-Colors-GA-Navy-100, #9FAAFF);
    outline: none;
}

/*button www*/

#button-www {
    display: inline-flex;
    padding: var(--Spacing-spacing-2, 2px) var(--Spacing-spacing-2, 2px);
    justify-content: center;
    align-items: center;
    background: transparent;
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%; /* 22.4px */
    letter-spacing: 0.16px;
    transition: color 0.3s ease; /* Łagodne przejście dla koloru */
    outline: none;
}

#button-www .elementor-button-content-wrapper {
    display: inline-flex;
    align-items: center;
    gap: var(--Spacing-spacing-4, 4px); /* Odstęp między ikoną a tekstem w stanie normalnym */
    transition: gap 0.3s ease; /* Łagodne przejście dla odstępu */
}

#button-www:hover .elementor-button-content-wrapper,
#button-www:active .elementor-button-content-wrapper,
#button-www:focus .elementor-button-content-wrapper {
    gap: 6px; /* Zwiększenie odstępu między ikoną a tekstem */
}



/* Stylizacja dla urządzeń mobilnych */
@media (max-width: 768px) {
    #button-tertiary {
        font-size: 14px;
        letter-spacing: 0.14px;
        line-height: 140%; /* 19.6px */
    }
}

/*tagi spolek*/


#tag-net {
    display: inline-flex;
    padding: var(--Spacing-spacing-4, 4px) var(--Spacing-spacing-8, 8px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-2, 2px);
    background: var(--Brand-Colors-ASTA-NET-Light, #66BAFF);
    color: var(--Brand-Colors-ASTA-NET-Dark, #005499);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 18px */
    letter-spacing: 0.12px;
}

#tag-tv {
    display: inline-flex;
    padding: var(--Spacing-spacing-4, 4px) var(--Spacing-spacing-8, 8px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-2, 2px);
    background: var(--Brand-Colors-TV-ASTA-Light, #D0579F);
    color: var(--Brand-Colors-TV-ASTA-Dark, #6A003F);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 18px */
    letter-spacing: 0.12px;
}

#tag-bud {
    display: inline-flex;
    padding: var(--Spacing-spacing-4, 4px) var(--Spacing-spacing-8, 8px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-2, 2px);
    background: var(--Brand-Colors-ASTA-BUD-Light, #F4A36B);
    color: var(--Brand-Colors-ASTA-BUD-Dark, #8E3D05);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 18px */
    letter-spacing: 0.12px;
}

#tag-logistics {
    display: inline-flex;
    padding: var(--Spacing-spacing-4, 4px) var(--Spacing-spacing-8, 8px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-2, 2px);
    background: var(--Brand-Colors-ASTA-LOGISTICS-Light, #FDE5A7);
    color: var(--Brand-Colors-ASTA-LOGISTICS-Dark, #C9971C);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 18px */
    letter-spacing: 0.12px;
}

#tag-group {
    display: inline-flex;
    padding: var(--Spacing-spacing-4, 4px) var(--Spacing-spacing-8, 8px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-2, 2px);
    background: var(--Brand-Colors-ASTA-GROUP-Light, #C4C4C4);
    color: var(--Brand-Colors-ASTA-GROUP-Base, #1D1D1B);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 18px */
    letter-spacing: 0.12px;
}

#tag-energy {
    display: inline-flex;
    padding: var(--Spacing-spacing-4, 4px) var(--Spacing-spacing-8, 8px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-2, 2px);
    background: var(--Brand-Colors-ASTA-ENERGY-Light, #9BD18F);
    color: var(--Brand-Colors-ASTA-ENERGY-Dark, #356B29);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 18px */
    letter-spacing: 0.12px;
}

#tag-systems {
    display: inline-flex;
    padding: var(--Spacing-spacing-4, 4px) var(--Spacing-spacing-8, 8px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-2, 2px);
    background: var(--Brand-Colors-ASTA-SYSTEMS-Light, #87E3D4);
    color: var(--Brand-Colors-ASTA-SYSTEMS-Dark, #006E5E);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 18px */
    letter-spacing: 0.12px;
}

#tag-mr {
    display: inline-flex;
    padding: var(--Spacing-spacing-4, 4px) var(--Spacing-spacing-8, 8px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-2, 2px);
    background: var(--Brand-Colors-MR-Light, #EEE0C3);
    color: var(--Brand-Colors-MR-Dark, #7F6A3F);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 18px */
    letter-spacing: 0.12px;
}

#tag-abita {
    display: inline-flex;
    padding: var(--Spacing-spacing-4, 4px) var(--Spacing-spacing-8, 8px);
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: var(--Spacing-spacing-2, 2px);
    background: var(--Brand-Colors-ABITA-Light, #FCF3B7);
    color: var(--Brand-Colors-ABITA-Dark, #C3AB0C);
    font-family: "Neue Haas Grotesk Text Pro", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; /* 18px */
    letter-spacing: 0.12px;
}

/*nawigacja*/

#navi-button {
    transition: color 0.3s ease, border-bottom 0.3s ease; /* Płynne przejście */
}

.header {
    transition: transform 0.3s ease, background-color 0.3s ease, box-shadow 0.3s ease; /* Łagodne przejście dla tła i cienia */
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background-color: rgba(14, 14, 14, 0.0); /* Przezroczysty nagłówek na początku */
}

.header.scrolled {
    background-color: rgba(14, 14, 14, 1); /* Tło po scrollowaniu */
    box-shadow: none; /* Zniknięcie linii po przewinięciu */
}

.header.hidden {
    transform: translateY(-100%);
}

/* Obrys (biała linia) dla ekranów o szerokości większej niż 768px */
@media (min-width: 769px) {
    .header {
        box-shadow: inset 0 -1px 0 rgba(245, 245, 247, 1); /* Wewnętrzna biała linia 1px */
    }
}

@media (max-width: 768px) {
    .header {
        box-shadow: none; /* Brak białej linii na mobilnych */
    }
}


body.admin-bar .header {
    top: 32px; /* Dostosowanie dla paska administratora */
}

@media (max-width: 768px) {
    body.admin-bar .header {
        top: 0; /* Dla wersji mobilnej ignorujemy pasek admina */
    }
}

/*header na pozostałych stronach*/

.naglowek {
    transition: transform 0.3s ease;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
}
.naglowek.hidden {
    transform: translateY(-100%);
}


body.admin-bar .naglowek {
    top: 32px; /* Dostosowanie dla paska administratora */
}

@media (max-width: 768px) {
    body.admin-bar .naglowek {
        top: 0; /* Dla wersji mobilnej ignorujemy pasek admina */
    }
}

/*Personalizacja artykułów*/

.single-post .elementor-widget-container .wp-block-heading{
  font-size: 28px !important;
  line-height: 1.2 !important;
  margin-top: 48px !important;
	margin-bottom: 24px !important; /* opcjonalnie, możesz zmienić */
	  margin-left: 0 !important;
  margin-right: 0 !important;
}

.single-post .elementor-widget-container .wp-block-list{
  margin-bottom: 16px !important;
}

